Post by POS » Thu Oct 18, 2012 11:52 pm

I downloaded the latest 1.5.4.1 installation zip, and read the "update.txt".

It clearly says that I can use the inbuilt upgrade script to upgrade from 1.4.x to 1.5.4.1

So I have done step 1-4. Then going to http://www.yourstore.com/shop/install/upgrade.php

I then get this error:
Notice: Error: Unknown column 'store_id' in 'where clause'
Error No: 1054
SELECT * FROM setting WHERE store_id = '0' in (path)/(domain)/system/database/mysql.php on line 49
In my mySQL the table "store" is empty. I've checked all working stores I have, and it's the same evereywhere.

I have googled and read a lot in this forum, but I haven't found what I am looking for :-)

Thank you for helping :-)

POS
Newbie

Posts

Joined
Tue Mar 22, 2011 11:34 pm

Post by POS » Fri Oct 19, 2012 3:12 pm

I've tested many times, and I get the same error each time.

But I found the solution: Do it the "old way"

I downloaded this script: http://forum.opencart.com/viewtopic.php?f=2&t=50292
And then followed those directions.

I upgraded from 1.4.x to 1.5.1 using the beta-script
Then upgraded from 1.5.1 to 1.5.4.1 using the inbuild upgrade

Step 1: Followed the beta3 instructions, and uploaded the OC 1.5.1 files
Step 2: Uploaded the OC 1.5.4.1 - and run the upgrade script there

Done!

POS
Newbie

Posts

Joined
Tue Mar 22, 2011 11:34 pm
Who is online

Users browsing this forum: No registered users and 15 guests